Bug 244324 - x11/arandr: Update to 0.1.10
Summary: x11/arandr: Update to 0.1.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-22 21:52 UTC by Mateusz Piotrowski
Modified: 2020-02-29 16:35 UTC (History)
1 user (show)

See Also:
sbz: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2020-02-22 21:52:10 UTC
The patch is here: https://reviews.freebsd.org/D23799

Please let me know if it is alright. At the moment arandr is set to expire soon because it uses Python 2 now. This patch introduces Python 3 support.
Comment 1 commit-hook freebsd_committer 2020-02-27 13:22:21 UTC
A commit references this bug:

Author: 0mp
Date: Thu Feb 27 13:21:50 UTC 2020
New revision: 527254
URL: https://svnweb.freebsd.org/changeset/ports/527254

Log:
  Postpone the expiration date of x11/arandr by 2 weeks

  There is already a patch upgrading x11/arandr to a version supporting
  Python 3. We need a litle bit more time in case the patch has to be
  approved by maintainer timeout.

  PR:		244324
  Approved by:	portmgr blanket

Changes:
  head/x11/arandr/Makefile
Comment 2 Sofian Brabez freebsd_committer 2020-02-29 15:36:49 UTC
LGTM, Approved. Thanks!
Comment 3 Mateusz Piotrowski freebsd_committer 2020-02-29 16:32:56 UTC
Wonderful! Thanks, I'll commit it shortly.
Comment 4 commit-hook freebsd_committer 2020-02-29 16:35:06 UTC
A commit references this bug:

Author: 0mp
Date: Sat Feb 29 16:34:35 UTC 2020
New revision: 527438
URL: https://svnweb.freebsd.org/changeset/ports/527438

Log:
  x11/arandr: Update to 0.1.10

  This version introduces support for Python 3.

  Changelog:
  https://gitlab.com/arandr/arandr/-/commit/43faec00c0feca3f00b0acbae048de14f02c6d21

  Also:
  - Remove deprecation notices.
  - Switch to GitLab.
  - Order variables.
  - Install manpages into the new standard directory.
  - Use INSTALL_MAN instead of INSTALL_DATA for documentation.
  - Update WWW to use HTTPS.

  PR:		244324
  Approved by:	sbz (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D23799

Changes:
  head/x11/arandr/Makefile
  head/x11/arandr/distinfo
  head/x11/arandr/pkg-descr
  head/x11/arandr/pkg-plist